Message::Passing::Input::STDIN(3pm)

NAME
Message::Passing::Input::STDIN - STDIN input

SYNOPSIS
    message-pass --input STDIN --output STDOUT
    {"foo": "bar"}
    {"foo":"bar"}

DESCRIPTION
An input which gets messages from STDIN.

Messages are expected to be c<\n> separated, and if EOF is encountered then this input will call "exit" to terminate the program.

SEE ALSO
Message::Passing

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.